import { type PermissionStatus } from 'react-native-permissions';
type PermissionResult = {
    success: boolean;
    status: PermissionStatus | string;
};
declare const managePermission: (permission: PermissionResult, enableRequestPermission: boolean | undefined, callBack: () => void) => Promise<void>;
declare const enableBluetooth: () => Promise<{
    success: boolean;
    data: void;
} | {
    success: boolean;
    data?: undefined;
}>;
declare const checkBluetoothPermission: () => Promise<PermissionResult>;
declare const requestBluetoothPermission: () => Promise<PermissionResult>;
declare const promptEnableLocation: () => void;
export { checkBluetoothPermission, requestBluetoothPermission, managePermission, enableBluetooth, promptEnableLocation, };
